﻿using UnityEngine;
using System.Collections;
using DG.Tweening;

public class ArrowAnimation : MonoBehaviour
{
	public float lifeTime = 2;
	public Direction direction;
	float killTime;

	public enum Direction
	{
		Left,
		Right,
		Up,
		Down
	}

	void Start ()
	{
		killTime = Time.time + lifeTime;
		transform.DOPunchScale (new Vector3 (0.1f, 0.1f, 0.1f), lifeTime, 4, 1);
		switch (direction) {
		case Direction.Left:
			transform.DOLocalMoveX (-10f, lifeTime);
			break;
		case Direction.Right:
			transform.DOLocalMoveX (10f, lifeTime);
			break;
		case Direction.Up:
			transform.DOLocalMoveY (10f, lifeTime);
			break;
		case Direction.Down:
			transform.DOLocalMoveY (-10f, lifeTime);
			break;
		}
	}

	void Update ()
	{
		if (killTime < Time.time) {
			Destroy (gameObject);
		}
	}
}
