﻿using UnityEngine;
using System.Collections;

public class CloudGenerator : MonoBehaviour
{
	public GameObject cloud;
	public int sequenceLength = 0;
	GameObject[] clouds;

	float m_StartTime;
	int maxClouds = 200;
	int numClouds = 20;
	float xTarget;

	void Start ()
	{
		clouds = new GameObject[maxClouds];
		for (int i = 0; i < numClouds; i++) {
			clouds [i] = Instantiate (cloud); 
			clouds [i].SetActive (true);

		}
	}

	void Update ()
	{
		int seq = 1 + sequenceLength;
		int oldClouds = numClouds;
		for (int i = 0; i < oldClouds; i++) {
			// show more clouds the longer the sequence is
			int threshold = Mathf.Min (seq * 20, maxClouds);
			if (threshold > numClouds && oldClouds < maxClouds) {
				for (int j = 0; j < 20; j++) {
					GameObject newCloud = Instantiate (cloud);
					newCloud.GetComponent<cloudBehaviour> ().speed = 2;
					newCloud.GetComponent<SpriteRenderer> ().color = new Color (1 / Mathf.Sqrt (seq), 1 / Mathf.Sqrt (seq), 1 / Mathf.Sqrt (seq));
					clouds [oldClouds + j] = newCloud;
				}
				numClouds += 20;
			}
			// TODO: become faster the longetr the sequence is
			// clouds [i].GetComponent<cloudBehaviour> ().speed = sequenceLength;
			clouds [i].GetComponent<cloudBehaviour> ().speed = 2 / Mathf.Pow (2, seq / 4 + 1);
		}

	}
}
